package main

import (
	"go.wit.com/toolkits/tree"

	"go.wit.com/dev/andlabs/ui"
	_ "go.wit.com/dev/andlabs/ui/winmanifest"
)

// func (p *node) newButton(n *node) {
func newButton(p *tree.Node, n *tree.Node) {
	if notNew(n) {
		return
	}
	var ptk *guiWidget
	ptk = p.TK.(*guiWidget)
	newt := new(guiWidget)

	b := ui.NewButton(n.GetLabel())
	newt.uiButton = b
	newt.uiControl = b
	newt.parent = ptk

	b.OnClicked(func(*ui.Button) {
		me.myTree.DoUserEvent(n)
	})

	n.TK = newt
	place(p, n)
}
